import Taro, { Component } from '@tarojs/taro'
import { View, Swiper, SwiperItem, Image } from '@tarojs/components'
import { queryHelpGroup } from '@services/news'
import { transferImage } from '@utils/tools'
import ActivityItem from '../../activity/item'
import dayjs from 'dayjs'
import './index.scss'

const bgImg = require('@assets/index/background.png')

export default class SwiperBanner extends Component {

    state = {
        helpGroupList: []
    }


    componentWillMount() {
        this.loadHelpGroupList()
    }



    loadHelpGroupList() {
        queryHelpGroup({ cityId: this.props.cityId, buildingId: '' }).then(res => {
            this.setState({
                helpGroupList: res || []
            })
        })
    }

    render() {
        if (!this.state.helpGroupList.length) return null;

        return (
            <View className="activity-box" style={`background: url(${transferImage(bgImg)}) no-repeat center;background-size: 100% 100%;`}>
                <View className="section-head">
                    <View className="section-head__title">热门活动 </View>
                    <View className="section-head__more" >
                        查看更多<Text className="iconfont icon-more"></Text>
                    </View>
                </View>
                <ScrollView scrollX>
                    <View className='activity-list'>
                        {
                            this.state.helpGroupList.length > 1 &&
                            this.state.helpGroupList.map((item, index) => (
                                <View className='item' key={index + 'act'}>
                                    {/* {(data.type == 'help' || data.type == 'group') && */}
                                    <View className={item.type == '1' ? 'type' : 'type2'}>{item.type == '1' ? '助力' : '拼团'}</View>
                                    {/* } */}
                                    <Image className="img" src={require('@assets/shop/bg.jpg')}></Image>
                                    <View className="title">破晓·内容生态下半场的版权之道—2019企业啦啦啦啦</View>
                                    <View className="time">参与截止时间</View>
                                    <View className="time">2019年10月20日 10:08:20</View>
                                    <View className="btn nostart">未开始</View>
                                    {/* {item.endDate && */}
                                        {/* <View className={data.activityStatus == 0 ? "btn jionin " : data.activityStatus == 1 ? "btn nostart" : data.activityStatus == 2 ? "btn jioned" : "btn"}>{data.activityStatus == 0 ? "立即参与" : data.activityStatus == 1 ? "未开始" : data.activityStatus == 2 ? "已结束" : "已参与"}</View> */}
                        
                                    {/* } */}
                                </View>
                            ))
                        }
                        {
                            this.state.helpGroupList.length == 1 &&
                            this.state.helpGroupList.map((item, index) => (
                                <ActivityItem
                                    data={item}
                                    key={item.dynamicId}
                                    onClick={this.handleItemClick}>
                                </ActivityItem>
                            ))
                        }

                    </View>
                </ScrollView>

            </View>
        )
    }
}
